//HelloWindow.cpp

#ifndef _APPLICATION_H
#include <Application.h>
#endif
#ifndef HELLO_WINDOW_H
#include "HelloWindow.h"
#endif
#ifndef HELLO_VIEW_H
#include "HelloView.h"
#endif

HelloWindow::HelloWindow(BRect frame)
	:BWindow(frame, "Hello", B_TITLED_WINDOW, B_NOT_RESIZABLE | B_NOT_ZOOMABLE)
{	
	HelloView	*aView;
	
	frame.OffsetTo(B_ORIGIN);
	aView = new HelloView(frame, "HelloView");
	
	AddChild(aView);
	Show();
}

bool HelloWindow::QuitRequested()
{
	int16 i;
	for (i=0; i<250; i++)
	{
		ResizeBy(-2, -2);
		MoveBy(1, 1);
	}
	be_app->PostMessage(B_QUIT_REQUESTED);
	return(true);
}